<?php $admin_options = get_option($this->adminOptionsName); ?>
<h3>Inscription de vos clients sur SG-Autorépondeur</h3>

<div class="notice notice-info is-dismissible">
    <p>
        Lors d'une commande, si vous avez définit une liste liée à un produit, votre client sera inscrit dans cette dernière.<br>
        Si vous ne définissez pas de liste associée à un produit, votre client sera inscrit dans la liste générale.
    </p>
</div>

<table class="form-table">
    <tbody>

    <tr valign="top">
        <th class="titledesc" scope="row">Numéro Client *</th>
        <td class="forminp">
            <input id="wc_sg_membreid" type="number" title="Numéro Client" name="wc_sg_membreid" value="<?= $admin_options['membreid'] ?>" required>
            <span class="description">Indiquez ici votre numéro client (accessible en haut à gauche de votre compte SG-Autorépondeur)</span>
        </td>
    </tr>

    <tr valign="top">
        <th class="titledesc" scope="row">Code d'activation *</th>
        <td class="forminp">
            <input id="wc_sg_codeactivation" type="text" title="Code d'activation" name="wc_sg_codeactivation" value="<?= $admin_options['codeactivation'] ?>" required>
            <span class="description">Indiquez ici le code d'activation de votre compte SG-Autorépondeur (accessible dans le menu "Mon compte" puis "Options diverses" sur SG-Autorépondeur)</span>
        </td>
    </tr>

    <tr valign="top">
        <th class="titledesc" scope="row">Liste générale</th>
        <td class="forminp">
            <input id="wc_sg_listeid" type="number" title="Liste générale" name="wc_sg_listeid" value="<?= $admin_options['listeid'] ?>" required>
            <span class="description">Liste de reception par défaut.</span>
        </td>
    </tr>

    <?php
    $args = array( 'post_type' => 'product', 'posts_per_page' => 1000 );
    $loop = new WP_Query( $args );

    foreach ($loop->posts as $post){ ?>
        <tr valign="top">
            <th class="titledesc" scope="row">
                Liste produit
            </th>
            <td class="forminp">
                <input id="wc_sg_listeid" type="number" title="Liste générale" name="wc_sg_liste_produit_<?= $post->ID ?>" value="<?= (isset($admin_options["liste_produit_{$post->ID}"])) ? $admin_options["liste_produit_{$post->ID}"] : '' ?>">
                <span class="description">Liste de reception des clients de : "<a href="<?= $post->guid ?>"><?= $post->post_title ?></a>"</span>
            </td>
        </tr>
    <?php } ?>
    </tbody>
</table>

